Package org.eclipse.birt.report.model.api.validators

# Class StructureValidator

java.lang.Object
org.eclipse.birt.report.model.validators.AbstractSemanticValidator
org.eclipse.birt.report.model.validators.AbstractPropertyValidator
org.eclipse.birt.report.model.api.validators.StructureValidator

public class StructureValidator extends org.eclipse.birt.report.model.validators.AbstractPropertyValidator
Validates a structure property of element. The property type should structure .

## Field Summary

Fields
Modifier and Type
Field
Description
`static final String`
`NAME`
Name of this validator.

### Fields inherited from class org.eclipse.birt.report.model.validators.AbstractSemanticValidator

`modules, name`

## Constructor Summary

Constructors
Constructor
Description
`StructureValidator()`

## Method Summary

Modifier and Type
Method
Description
`static StructureValidator`
`getInstance()`
Returns the singleton validator instance.
`List`
`validate(org.eclipse.birt.report.model.core.Module module, org.eclipse.birt.report.model.core.DesignElement element, String propName)`
Validates the specific property of the given element in report.

### Methods inherited from class org.eclipse.birt.report.model.validators.AbstractSemanticValidator

`canApplyToDesign, canApplyToLibrary, getName, isInTemplateParameterDefinitionSlot, setModules, setName`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### NAME

public static final String NAME
Name of this validator.

See Also:
  - Constant Field Values

## Constructor Details

### StructureValidator

public StructureValidator()

## Method Details

### getInstance

public static StructureValidator getInstance()
Returns the singleton validator instance.

Returns:
  the validator instance

### validate

public List validate(org.eclipse.birt.report.model.core.Module module, org.eclipse.birt.report.model.core.DesignElement element, String propName)
Description copied from class: `org.eclipse.birt.report.model.validators.AbstractPropertyValidator`
Validates the specific property of the given element in report.

Specified by:
  `validate` in class `org.eclipse.birt.report.model.validators.AbstractPropertyValidator`
Parameters:
  `module` - the module
  `element` - the given element to validate
  `propName` - name of the property to validate
Returns:
  error list, each of which is the instance of `SemanticException`.